/**
 * PigChain Global Styles
 * Unified stylesheet combining old style_connexion.css, style.css, and index.css
 * Version: 1.0
 */

/***************/
/* BASE STYLES */
/***************/
html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  background-repeat: repeat;
  background: #fff;
  /*font-family: 'Questrial', sans-serif !important; */
}

body {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
}

p {
  margin: 0;
  align-items: center;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

::placeholder {
  color: #A0AEC0 !important;
}

hr {
  color: #A0AEC0 !important;
  border: solid 1px !important;
}

/***********/
/* HEADERS */
/***********/
/*h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  margin-bottom: .5rem;
  font-weight: 100;
  line-height: 1.2;
  color: inherit;
}*/

h1 {
  color: #0d3653 !important;
  font-family: 'Onest', sans-serif !important;
  font-size: 55px !important;
}

h1::before {
  content: '';
  display: inline-block;
  background-image: url('../images/PIG-CHAIN-Logo.png');
  background-size: contain;
  background-repeat: no-repeat;
  width: 410px;
  height: 90px;
  vertical-align: sub;
}

h2 {
  color: #7C7C7C !important;
  font-family: 'Questrial', sans-serif !important;
  font-size: 25px !important;
}

h5.centrer.italic, h5.center.italic, h2.center-align {
  color: #7C7C7C !important;
  font-family: 'Questrial', sans-serif !important;
  font-size: 25px !important;
  font-style: italic !important;
  text-align: center !important;
  font-style: normal !important;

}

@media (max-width: 768px) {
  h1 {
    font-size: 45px !important;
  }

  h1::before {
    width: 300px;
    height: 90px;
  }

  h2 {
    font-size: 20px !important;
  }
}

/******************/
/* NAVBAR & BRAND */
/******************/
.navbar-brand {
  display: flex;
  align-items: center;
  font-family: 'Onest', sans-serif !important;
}

.navbar-brand::before {
  content: '';
  display: inline-block;
  background-image: url('../../images/PIG-CHAIN-Logo.png');
  background-size: contain;
  background-repeat: no-repeat;
  width: 200px;
  height: 40px;
  vertical-align: sub;
}

@media (max-width: 768px) {
  .navbar-brand::before {
    width: 150px;
    height: 35px;
  }
}

.second-nav {
  background-color: #0d3653 !important;
  max-height: 40px;
}

@media (max-width: 991.98px) {
  .second-nav {
    background-color: transparent !important;
    max-height: none !important;
  }

  .bg-dark-blue {
    background-color: transparent !important;
  }
}

.offcanvas {
  background-color: #0d3653 !important;
  color: white !important;
}

.surbrillance:hover {
  background-color: rgba(0, 0, 0, 0.1);
}

#navbar_rules {
  width: 100%;
  position: absolute;
}

.align_logo {
  float: left;
}

.nav_responsive {
  overflow: hidden;
  white-space: normal;
  margin: 0;
}

/*********/
/* LINKS */
/*********/
/*a {
  color: #0d3653 !important;
  display: inline-block;
}
*/
table.table>tbody>tr>td>a:not(.btn) {
  text-decoration: none;
  color: #007cb9 !important;
}

/***********/
/* BUTTONS */
/***********/
.btn {
  background-color: #0e4260 !important;
  border-color: #4f728a !important;
  color: white !important;
  padding-inline: 25px !important;
  border-radius: 50px !important;
}

.btn:hover {
  background-color: #104b6d !important;
  color: white !important;
}

.btn-secondary {
  color: #4f728a !important;
  border-color: #4f728a !important;
  background-color: white !important;
  border-radius: 50px !important;
}

.btn-secondary:hover {
  background-color: #ebebeb !important;
  color: #4f728a !important;
}

.btn-danger {
  border-color: #C0050E !important;
  color: #C0050E !important;
  background-color: white !important;
}

.btn-danger:hover {
  background-color: #ab030b !important;
  color: white !important;
}

.button-perso {
  border-radius: 50px;
  border: 2px #ececec87 solid;
  width: 150px;
  height: 50px;
  margin-top: 12px;
  cursor: pointer;
}

.btn-secondary[value="Go !"] {
  margin-left: -80px !important;
  z-index: 6;
}

/*************/
/* DROPDOWNS */
/*************/

.dropdown-item:focus,
.dropdown-item:hover {
  color: white;
  background-color: #0e4260 !important;
}

.dropdown-item.list:hover {
  color: white !important;
}

.dropdown-item.intranet {
  color: #0d3653;
}

/*********/
/* FORMS */
/*********/
input,
select {
  border-radius: 50px !important;
  border: solid 1px #d0d0d0 !important;
  margin-block: 3px;
}

.form {
  padding: 75px 45px;
}

.form input {
  outline: 0;
  background: #f2f2f2;
  width: 100%;
  border: 0;
  padding: 15px;
  box-sizing: border-box;
  font-size: 14px;
}

.form #btn_connexion {
  font-family: "Roboto", sans-serif;
  text-transform: uppercase;
  outline: 0;
  background: rgb(47, 109, 50);
  width: 100%;
  border: 0;
  padding: 15px;
  color: #FFFFFF;
  font-size: 14px;
  transition: all 0.3s ease;
  cursor: pointer;
}

.form #btn_connexion:hover,
.form #btn_connexion:active,
.form #btn_connexion:focus {
  background: #245727;
}

.form .message {
  margin: 15px 0 0;
  color: #b3b3b3;
  font-size: 12px;
}

.form .message a {
  color: #245727;
  text-decoration: none;
}

.form .register-form {
  display: none;
}

.form-control {
  border-radius: 0px;
}

.input-group-text {
  border: none !important;
  background-color: #f2f2f2 !important;
}

form i {
  margin-left: -22px;
  cursor: pointer;
}

#togglePassword,
#togglePasswordConfirm {
  color: #47647bbf;
  font-size: 30px;
  margin-left: -50px;
}

@media (max-width: 768px) {
  .form {
    padding: 20px !important;
  }
}

@media screen and (max-width: 972px) {
  .form {
    width: 80%;
    padding: 75px 45px 75px 45px;
    margin: auto;
  }
}

/*************/
/* CONTAINER */
/*************/
.container .info {
  margin: 50px auto;
  text-align: center;
}

.container .info h1 {
  margin: 0 0 15px;
  padding: 0;
  font-size: 36px;
  font-weight: 300;
  color: #1a1a1a;
}

.container .info span {
  color: #4d4d4d;
  font-size: 12px;
}

.container .info span a {
  color: #000000;
  text-decoration: none;
}

.container .info span .fa {
  color: #EF3B3A;
}

/*********/
/* CARDS */
/*********/
.card:hover {
  box-shadow: 1px 1px 3px grey;
  background: white;
}

/******************/
/* CHOICE BUTTONS */
/******************/
.choice-container {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 20px;
}

.choice-box {
  width: 100%;
  height: 110px;
  border: 1px solid #ccc;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  text-align: center;
  background: #f8f9fa;
  user-select: none;
  transition: transform 0.1s ease-in-out;
}

.choice-box p {
  margin: 0 !important;
  font-weight: bold;
  color: #0d3653;
}

.choice-box span {
  color: #646464;
  font-weight: 500;
  font-size: 0.8em;
  margin-left: 15px;
  margin-right: 15px;
}

.choice-box svg {
  width: 50px;
  height: 50px;
  fill: #0d3653;
}

.choice-box:active {
  transform: translateY(5px);
}

.choice-box.selected {
  border-color: #0d3653;
  background: #e3eef7;
}

#loginFormContainer {
  display: none;
}

#btn_pigconnect {
  display: flex;
  background-color: #0d3653;
  border-color: #4f728a;
  color: white !important;
  padding: 12px 18px;
  align-items: center;
  justify-content: center;
  gap: 10px;
  cursor: pointer;
}

#btn_pigconnect>.icon {
  height: 24px;
}

#btn_pigconnect>p {
  margin: 0;
  font-weight: 500;
}

/**********/
/* FOOTER */
/**********/
footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  background-color: #f8f9fa;
  z-index: 7;
}

#footer {
  bottom: 0;
  width: 100%;
}

@media (max-width: 1200px) {
  #footer {
    position: relative;
  }
}

@media print {
  footer.text-center.txt-blue.mt-5.px-2 {
    display: none;
  }
}

/*********************/
/* LAYOUT & SECTIONS */
/*********************/
#wrap {
  background-color: #FFFFFF;
}

#header {
  flex-wrap: wrap;
}

#main {
  padding-top: 30px;
  padding-bottom: 50px;
}

.content {
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#c4c4c4', GradientType=1);
  background-attachment: fixed;
  padding: 15px;
}

@media (max-width: 1200px) {
  .bloc {
    margin-right: 10%;
    margin-left: 10%;
  }

  .content {
    padding: 15px;
  }
}

#rowbug {
  height: 100px;
}

#preloader {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-repeat: repeat;
  z-index: 99;
  height: 100%;
}

.status {
  top: 47%;
  left: 47%;
}

/*********************/
/* UTILITY CLASSES   */
/*********************/
.bg-dark-blue {
  background-color: #0e4260 !important;
}

.gradient-blue {
  background-color: #0d3653 !important;
  border: none;
}

.txt-blue {
  color: #0d3653 !important;
  text-decoration: none !important;
}

.gras {
  font-weight: bold;
}

.grey.lighten-2>td {
  background: #ddd;
}

.italic {
  font-style: italic;
}

.centrer {
  text-align: center;
}

.underline {
  text-decoration: underline;
}

.curs_def {
  cursor: default;
}

.cliquable {
  cursor: pointer;
}

.visible {
  display: inline !important;
}

.no_cell {
  border: none !important;
}

/* Colors */
.text_vert_uniporc {
  color: #4D9771;
}

.text_bleu_uniporc {
  color: #4A7289;
}

.text_rouge_uniporc {
  color: #C0050E;
}

.back_vert_uniporc {
  background-color: #4D9771;
}

.back_bleu_uniporc {
  background-color: #4A7289 !important;
}

.back_rouge_uniporc {
  background-color: #44657b;
}

.blue_force {
  color: #4A7289 !important;
}

/* Margins */
.marg_t_3_neg {
  margin-top: -3%;
}

.marg_t_0_75 {
  margin-top: 0.75%;
}

.marg_t_1 {
  margin-top: 1%;
}

.marg_t_3 {
  margin-top: 3%;
}

.marg_t_5 {
  margin-top: 5%;
}

.marg_t_8 {
  margin-top: 8%;
}

.marg_t_10 {
  margin-top: 10%;
}

.marg_t_20 {
  margin-top: 20%;
}

.marg_b_1_5 {
  margin-bottom: 1.5%;
}

.marg_l_10 {
  margin-left: 10%;
}

/* Width */
.largeur_100 {
  width: 100%;
}

.largeur_130 {
  width: 130%;
}

.largeur_98 {
  width: 98%;
}

.largeur_px_70 {
  width: 70px;
}

.largeur1_5 {
  font-size: 1.5vw;
}

.largeur1_25 {
  font-size: 1.25vw;
}

.largeur1 {
  font-size: 1vw;
}

.largeur0_9 {
  font-size: 0.90vw;
}

/* Text sizes */
.text_taille_120 {
  font-size: 120%;
}

.text_taille_90 {
  font-size: 90%;
}

.text_taille_80 {
  font-size: 80%;
}

.text_taille_70 {
  font-size: 70%;
}

/*********/
/* LOGOS */
/*********/

.logo_header {
  float: left;
  display: inline-block;
  color: #4D9771;
}

.text_logo_header {
  display: inline-block;
  margin-left: 15% !important;
}

.drapeau_header {
  margin-right: 10px;
  height: 28px;
}

/*********/
/* ICONS */
/*********/
.icon_style {
  position: absolute;
  right: 10px;
  top: 10px;
  font-size: 20px;
  color: white;
  cursor: pointer;
}

/**********/
/* TABLES */
/**********/
table th {
  cursor: pointer;
}

table.table {
  font-size: small;
}

.table_header {
  background-color: white;
}

.liste {
  padding: 5px 0px;
}

.entete_tab {
  border-bottom: 1px solid #d0d0d0;
}

/* Page specific tables */
.tab_etat_lot th {
  font-size: 80%;
}

.tab_etat_lot td,
.tab_etat_lot th {
  width: 55px;
}

.tab_etat_lot a {
  font-weight: bold;
}

.tab_liste_porc td,
.tab_liste_porc th {
  width: 55px;
}

.tab_form_porc1 {
  margin: auto;
}

.tab_form_porc1 td,
.tab_form_porc1 th {
  border: 1px solid black;
}

.tab_form_porc2 {
  width: 100%;
  margin: auto;
}

.tab_form_porc2 td,
.tab_form_porc2 th {
  text-align: center;
}

.tab_form_porc2 select {
  text-align: center;
}

.tab_form_porc1 input,
.tab_form_porc2 input {
  font-weight: bold;
  text-align: center;
}

.tab_obs {
  width: 50%;
  margin-left: 25%;
  background-color: #FFFFFF;
}

.tab_obs tr {
  border: 1px solid black;
}

#tab_obs {
  width: 70%;
  margin-left: 15%;
}

#tab_obs th,
#tab_obs td {
  border: 1px solid black;
}

#tab_det_lot {
  width: 90%;
  margin: auto;
}

#tab_det_lot button {
  margin: 10px;
}

.descrip_det_lot {
  background-color: #e0e0e0;
  text-align: left;
  font-weight: bold;
}

#tab_abattage {
  width: 80%;
  margin-left: 10%;
}

#tab_bilan_usager {
  background-color: #FFF;
  width: 80%;
  margin-left: 10%;
}

/****************/
/* PAGE HEADERS */
/****************/
.titre {
  font-size: 130%;
  color: #4A7289;
}

.title {
  color: white;
  text-transform: uppercase;
}

.title_div {
  text-align: left;
}

#title {
  font-weight: 700;
}

.text-login {
  background-color: #4a7289;
  border: 10px solid #4a7289;
  color: white;
  text-transform: uppercase;
  padding: 5px 25px 5px 25px;
  font-family: 'Nunito', sans-serif;
  font-weight: bold;
  font-size: 13px;
  display: block;
}

h5.offcanvas-title::before {
  background-image: url('../images/PIG-CHAIN-Logo-Dark.png');
}
/****************************/
/* PAGE SPECIFIC CONTAINERS */
/****************************/
#etat_lot_conteneur {
  min-height: 60vh;
  height: 60vh;
  min-width: 100%;
  width: 100%;
  overflow-y: scroll;
}

#liste_porc_conteneur {
  max-height: 600px;
  min-width: 100%;
  width: 100%;
  overflow-y: scroll;
}

#tab_mouchard {
  background-color: #FFF;
  min-height: 700px;
  height: 700px;
  min-width: 100%;
  width: 100%;
  overflow-y: scroll;
  overflow-x: scroll;
}

#font_visu {
  font-family: "Courier New", Courier, monospace;
  font-size: 80%;
  white-space: pre;
  display: block;
  font-weight: bold;
}

#pdfview {
  min-height: 75vh;
  height: 75vh;
  min-width: 100%;
  width: 100%;
}

#label_histo {
  color: #4A7289;
  font-weight: bold;
}

.input_date {
  width: 80%;
  font-size: 120%;
}

/******************/
/* PROFILE FORM   */
/******************/
#form_profile {
  margin-left: 25px;
  margin-right: 25px;
  margin-bottom: 25px;
  display: block;
}

#login {
  margin-left: 10px;
}

/************************/
/* TEMPORARY DISPLAY    */
/************************/
.affichage_temporaire {
  height: 15px;
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 13px;
  transition: 0.5s;
  color: white;
  box-shadow: 0 0 20px #eee;
}

.affichage_temporaire span {
  display: inline-block;
  padding-left: 100%;
  animation: affichage_temporaire 30s linear infinite;
}

.affichage_temporaire span:hover {
  animation-play-state: paused;
}

.affichage_temporaire span a {
  color: #fff !important;
  font-weight: bold;
}

@keyframes affichage_temporaire {
  0% {
    transform: translate(0, 0);
  }

  100% {
    transform: translate(-100%, 0);
  }
}

/*******************/
/* MEDIA QUERIES   */
/*******************/
@media screen and (max-width: 790px) {
  .image_uniporc img {
    display: none;
  }

  #wrap {
    margin: 0%;
    width: 100%;
  }

  #tab_accueil_abattage {
    width: 80%;
    margin-left: 10%;
  }
}

@media (max-width: 768px) {
  .form {
    padding: 20px !important;
  }
}

@media screen and (max-width: 972px) {
  .form {
    width: 80%;
    padding: 75px 45px 75px 45px;
    margin: auto;
  }
}